@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@500&display=swap');

.sideMenu{
    position: fixed;
    background: rgba(0, 0, 0, 0.7);
    width: 200px;
    height: calc(100vh - 20px);
    border-radius: 5px;
    top: 10px;
    left: 10px;
    transition: 300ms;
    padding-left: 5px;
    z-index: 5;
    box-shadow: 4px 4px 12px #000;
    @media (max-width: 700px) {
        display: none;
    }
}
li{
    position: relative;
    list-style: none;
    font-size: 16px;
    display: flex;
    align-items: center;
    overflow: hidden;
    margin: 10px;
    padding: 7px;
    border-radius: 8px;
    width: auto;
    color: #fff;
    cursor: pointer;
    transition: 300ms;
}
.sideMenu li:first-child{
    padding: 0;
    background: none;
    margin-bottom: 30px;
    margin-left: 7px;
    overflow: hidden;
}
.sideMenu svg{
    --tamanho:20px; 
    position: relative;
    min-width: var(--tamanho);
    max-width: var(--tamanho);
    min-height: var(--tamanho);
    max-height: var(--tamanho);
    fill: #fff;
    margin-left: 6px;
    margin-right: 17px;
}
li svg{ transition: 300ms; }
li:hover svg{
    transform: rotate(-15deg);
    --tamanho:24px; 
    min-width: var(--tamanho);
    max-width: var(--tamanho);
    min-height: var(--tamanho);
    max-height: var(--tamanho);
    margin-left: 4px;
    margin-right: 15px;
}
#expansion{
    fill:#fff;
    background: #000;
    position: absolute;
    right: -20px;
    top: 45px;
    border: none;
    --tamanho:25px;
    min-width: var(--tamanho);
    max-width: var(--tamanho);
    min-height: var(--tamanho);
    max-height: var(--tamanho);
    transition: 300ms;
    transform: rotate("180deg");
    border-radius: 5px;
}
.logo{
    position: relative;
    margin: 1px;
    min-width: 50px;
    max-width: 50px;
    min-height: 50px;
    max-height: 50px;
    /*background: #1E90FF;*/
}
#nome{
    margin-left: 7px;
    line-height: 15px;
    overflow: hidden;
}
.sideMenuWidth{
    width: 75px;
}
.expansionLight{
    background: rgba(135, 206, 250, 0.7);
}
.bodyLight{
    background: #fff;
}
#sol-lua{
    transform: rotate(0deg);
    fill: #fff;
    position: relative;
    background: none;
    border-radius: 50%;
    border: none;
    --tamanho:20px;
    min-width: var(--tamanho);
    max-width: var(--tamanho);
    min-height: var(--tamanho);
    max-height: var(--tamanho);
    transition: 300ms;
}
.containerTheme{
    position: absolute;
    bottom:13px;
    width: auto;
    display: flex;
    align-items: center;
    overflow: hidden;
    color: #fff;
    cursor: pointer;
    margin: -3px;
    white-space: nowrap;
    overflow: hidden;
    max-width: calc(100% - 10px);
    font-weight: bold;
}
#containerThemeSpan{
    position: relative;
    margin-left: -12px;
    font-size: 15px;
    font-weight: lighter;
}
#content{
    position: absolute;
    width: calc(100vw - 120px);
    right: 0;
    transition: 300ms;
}
.tituloItemMenu{
    position: absolute;
    background: rgb(0,107,214);
    padding: 3px;
    border-radius: 5px;
    left: calc(100% - 5px);
    top: 0px;
    display: none;
    padding-left: 7px;
    padding-right: 7px;
    z-index: 6;
    color: #fff;
}
.tituloItemMenu::before{
    content: ' ';
    position: absolute;
    width:  10px;
    height: 10px;
    background: rgb(0,107,214);
    top: 10px;
    left: -5px;
    z-index: 5;
    transform: rotate(45deg);
}
.tituloItemMenuShow{
    opacity: 1;
}
#expansion{
    cursor: pointer;
}
@media (max-width: 1150px) {
    #expansion {
      display: none;
    }
}